Bug 218885

Summary: [WASM-References] Remove subtyping rule for externref and funcref
Product: WebKit Reporter: Dmitry <dbezhetskov>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ews-watchlist, keith_miller, mark.lam, msaboff, sbarati, tzagallo, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
ews-feeder: commit-queue-
Patch none

Description Dmitry 2020-11-12 21:16:17 PST
[WASM-References] Remove subtyping rule for externref and funcref
Comment 1 Dmitry 2020-11-12 21:21:13 PST
Created attachment 414003 [details]
Patch
Comment 2 Yusuke Suzuki 2020-11-14 02:03:00 PST
Comment on attachment 414003 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=414003&action=review

The design looks good. Can you check JSC test failure?

> Source/JavaScriptCore/wasm/WasmFormat.h:81
> +inline bool isSubtype(Type sub, Type parent) { return sub == parent; }

Let's remove this function since `sub == parent` is the same type.
Comment 3 Dmitry 2020-11-16 02:09:13 PST
Created attachment 414206 [details]
Patch
Comment 4 Dmitry 2020-11-16 02:10:42 PST
Comment on attachment 414003 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=414003&action=review

>> Source/JavaScriptCore/wasm/WasmFormat.h:81
>> +inline bool isSubtype(Type sub, Type parent) { return sub == parent; }
> 
> Let's remove this function since `sub == parent` is the same type.

Thanks! Removed this.
Comment 5 Dmitry 2020-11-16 22:29:38 PST
Created attachment 414308 [details]
Patch
Comment 6 Dmitry 2020-11-16 23:30:02 PST
Created attachment 414312 [details]
Patch
Comment 7 Dmitry 2020-11-17 01:41:14 PST
Created attachment 414319 [details]
Patch
Comment 8 Yusuke Suzuki 2020-11-18 20:07:03 PST
Comment on attachment 414319 [details]
Patch

r=me
Comment 9 EWS 2020-11-18 20:11:40 PST
Committed r270015: <https://trac.webkit.org/changeset/270015>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414319 [details].
Comment 10 Radar WebKit Bug Importer 2020-11-18 20:12:18 PST
<rdar://problem/71569391>